import _objectWithoutProperties from "@babel/runtime/helpers/esm/objectWithoutProperties";
import React from 'react';
import classNames from 'classnames';

var Wrapper = function Wrapper(props) {
  var baseClass = props.baseClass,
      children = props.children,
      Tag = props.tag,
      className = props.className,
      rest = _objectWithoutProperties(props, ["baseClass", "children", "tag", "className"]);

  var cn = classNames([baseClass, className]);
  return React.createElement("div", Object.assign({
    className: cn
  }, rest), children);
};

Wrapper.defaultProps = {
  baseClass: '',
  tag: 'div',
  className: ''
};
export default Wrapper;